Update Application Discovery configuration

Prev Next
Put
/discovered-apps/configuration

Update Application Discovery configuration in the Advisor.

Security
HTTP
Type bearer
Body parameters
Expand All
object

Configuration for Application Discovery.

customAppTypes
Array of object

List of custom types to group apps according to their ports.

object
name
string Required

Name of the custom app type.

ExampleWeb
ports
Array of string Required

List of ports associated with this app type.

Example[ "80", "443", "20300-20400" ]
string
groupsClaim
string

The claim used to extract group information from the token.

Default"claims.user.groups"
Exampleclaims.user.agScripted.groups
Responses
200

Application Discovery configuration updated

Expand All
object

Configuration for Application Discovery.

customAppTypes
Array of object

List of custom types to group apps according to their ports.

object
name
string

Name of the custom app type.

ExampleWeb
ports
Array of string

List of ports associated with this app type.

Example[ "80", "443", "20300-20400" ]
string
groupsClaim
string

The claim used to extract group information from the token.

Default"claims.user.groups"
Exampleclaims.user.agScripted.groups
400

Invalid or malformed data in request.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.